Warning, /plasma/latte-dock/INSTALLATION.md is written in an unsupported language. File is not indexed.

0001 Installation
0002 ============
0003 
0004 ## Using installation script
0005 
0006 **Before running the installation script you have to install the dependencies needed for compiling.**
0007 
0008 
0009 ### Kubuntu only
0010 
0011 ```
0012 sudo add-apt-repository ppa:kubuntu-ppa/backports
0013 sudo apt update
0014 sudo apt dist-upgrade
0015 ```
0016 
0017 ### Kubuntu and KDE Neon
0018 
0019 ```
0020 sudo apt install cmake extra-cmake-modules qtdeclarative5-dev libqt5x11extras5-dev libkf5iconthemes-dev libkf5plasma-dev libkf5windowsystem-dev libkf5declarative-dev libkf5xmlgui-dev libkf5activities-dev build-essential libxcb-util-dev libkf5wayland-dev git gettext libkf5archive-dev libkf5notifications-dev libxcb-util0-dev libsm-dev libkf5crash-dev libkf5newstuff-dev libxcb-shape0-dev libxcb-randr0-dev libx11-dev libx11-xcb-dev kirigami2-dev libwayland-dev libwayland-client++0 plasma-wayland-protocols libqt5waylandclient5-dev qtwayland5-dev-tools
0021 ```
0022 
0023 ### Arch Linux
0024 
0025 ```
0026 sudo pacman -Syu
0027 sudo pacman -S cmake extra-cmake-modules python plasma-framework plasma-desktop plasma-wayland-protocols
0028 ```
0029 
0030 ### Fedora/RHEL
0031 ```
0032 sudo dnf install cmake extra-cmake-modules qt5-qtdeclarative-devel qt5-qtx11extras-devel kf5-kiconthemes-devel kf5-plasma-devel kf5-kwindowsystem-devel kf5-kdeclarative-devel kf5-kxmlgui-devel kf5-kactivities-devel gcc-c++ gcc xcb-util-devel kf5-kwayland-devel git gettext kf5-karchive-devel kf5-knotifications-devel libSM-devel kf5-kcrash-devel kf5-knewstuff-devel kf5-kdbusaddons-devel kf5-kxmlgui-devel kf5-kglobalaccel-devel kf5-kio-devel kf5-kguiaddons-devel kf5-kirigami2-devel kf5-kirigami-devel kf5-ki18n-devel qt5-qtwayland-devel plasma-wayland-protocols-devel wayland-devel
0033 ``` 
0034 
0035 ### Building and Installing
0036 
0037 **Now you can run the installation script.**
0038 
0039 ```
0040 sh install.sh
0041 ```
0042